Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search.checkers
Class SortSpecChecker

    java.lang.Object
      com.google.appengine.api.search.checkers.SortSpecChecker

    public class SortSpecChecker

extends java.lang.Object

Checks the values of a `SortSpec`.

Field Summary
`static int` | `DEFAULT_LIMIT` The default number of documents to score.
`static int` | `MAXIMUM_LIMIT` The maximum number of documents that can be requested to be scored.

Constructor Summary
`SortSpecChecker()`

Method Summary
`static int` | `checkLimit(int limit)` Checks whether the limit on number of documents to score is between 0 and the maximum.
`static ScorerSpec` | `checkValid(ScorerSpec spec)` Checks the `ScorerSpec` is valid, specifically checking the limit on number of documents to score is not too large.
`static SortSpec` | `checkValid(SortSpec spec)` Checks the `ScorerSpec` is valid, specifically checking the limit on number of documents to score is not too large.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_LIMIT

    public static final int MAXIMUM_LIMIT

  The maximum number of documents that can be requested to be scored.

  See Also:
    Constant Field Values

### DEFAULT_LIMIT

    public static final int DEFAULT_LIMIT

  The default number of documents to score.

  See Also:
    Constant Field Values

Constructor Detail

### SortSpecChecker

    public SortSpecChecker()

Method Detail

### checkLimit

    public static int checkLimit(int limit)

  Checks whether the limit on number of documents to score is between 0 and the maximum.

  Parameters:
    `limit` - the maximum number of documents to score in the search
  Returns:
    the checked limit
  Throws:
    `java.lang.IllegalArgumentException` - if the limit is out of range

### checkValid

    public static ScorerSpec checkValid(ScorerSpec spec)

  Checks the `ScorerSpec` is valid, specifically checking the limit on number of documents to score is not too large.

  Parameters:
    `spec` - the `ScorerSpec` to check
  Returns:
    the checked spec
  Throws:
    `java.lang.IllegalArgumentException` - if the spec is invalid

### checkValid

    public static SortSpec checkValid(SortSpec spec)

  Checks the `ScorerSpec` is valid, specifically checking the limit on number of documents to score is not too large.

  Parameters:
    `spec` - the `ScorerSpec` to check
  Returns:
    the checked spec
  Throws:
    `java.lang.IllegalArgumentException` - if the spec is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD